package de.intevation.gnv.statistics;

import de.intevation.gnv.geobackend.base.Result;

import de.intevation.gnv.state.describedata.KeyValueDescibeData;

import java.sql.SQLException;

import java.util.Collection;

/**
 * This class is used to create a statistic in 'Vertikalprofil' products.
 * 
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 */
public class VerticalProfileStatistics extends TimeseriesStatistics {

    /**
     * Constructor
     */
    public VerticalProfileStatistics() {
        super();
    }

    @Override
    protected double calculateXOrdinateValue(Result previousRow, Result row) throws SQLException {
        return row.getDouble("XORDINATE");
    }

    @Override
    protected String generateStatisticsName(
                                            String break1,
                                            String break2,
                                            String break3,
                                            Collection<KeyValueDescibeData> parameters,
                                            Collection<KeyValueDescibeData> measurements,
                                            Collection<KeyValueDescibeData> dates) {

        return (this.findValueTitle(parameters, break1)+ " "+
               this.findValueTitle(measurements,break2)).trim();
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :